UPDATE-SMART-DRIVEDB(8)

NAME
update-smart-drivedb - update smartmontools drive database

SYNOPSIS
update-smart-drivedb [-v] [DESTFILE]

DESCRIPTION
update-smart-drivedb updates /usr/share/smartmontools/drivedb.h or DESTFILE from smartmontools SVN repository. It tries to download first from the current branch and then from trunk. The tools used for downloading are either curl(1), wget(1) or lynx(1). The old file is kept if the downloaded file is identical (ignoring the differences in Id string) otherwise it is moved to drivedb.h.old.

OPTIONS

-v  verbose output

EXAMPLES
# update-smart-drivedb
/usr/share/smartmontools/drivedb.h updated from branches/RELEASE_6_4_DRIVEDB

EXIT STATUS
The exit status is 0 if the database has been successfully updated. If an error occurs the exit status is 1.

FILES

/usr/sbin/update-smart-drivedb
    full path of this script.

/usr/sbin/smartctl
    used to check syntax of new drive database.

/usr/share/smartmontools/drivedb.h
    current drive database.

/usr/share/smartmontools/drivedb.h.old
    previous drive database.

/usr/share/smartmontools/drivedb.h.error
    new drive database rejected due to syntax errors.

/usr/share/smartmontools/drivedb.h.lastcheck
    empty file created if downloaded file was identical.

AUTHORS
Christian Franke.
This manual page was originally written by Hannes von Haugwitz <hannes@vonhaugwitz.com>.

REPORTING BUGS
To submit a bug report, create a ticket in smartmontools wiki:
<http://www.smartmontools.org/>.
Alternatively send the info to the smartmontools support mailing list:
<https://lists.sourceforge.net/lists/listinfo/smartmontools-support>.

SEE ALSO
smartctl(8), smartd(8).

PACKAGE VERSION
smartmontools-6.4 2015-06-04 r4109
$Id: update-smart-drivedb.8.in 4054 2015-04-15 19:04:49Z chrfranke $